SolrDocument::getField
SolrDocument::getFieldNames
SolrDocument
PHP Manual

# SolrDocument::getFieldCount

Returns the number of fields in this document

### Description

public int SolrDocument::getFieldCount ( void )

Returns the number of fields in this document. Multi-value fields are only counted once.

### Parameters

This function has no parameters.

### Return Values

Returns an integer on success and `FALSE` on failure.